org.eclipse.ease.lang.python.debugger

## Class PythonScriptRegistry

- java.lang.Object
- - org.eclipse.ease.debugging.ScriptRegistry
  - - org.eclipse.ease.lang.python.debugger.PythonScriptRegistry

All Implemented Interfaces:
  IScriptRegistry, IPythonScriptRegistry

    public class PythonScriptRegistry
    extends ScriptRegistry
    implements IPythonScriptRegistry

Default implementation of `IPythonScriptRegistry` simply using maps to perform 1:1 mapping.

### Constructor Summary

Constructors
Constructor and Description
`PythonScriptRegistry()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getReference(Script script)` Return the reference `String` for this `Script`.
`Script` `getScript(java.lang.String reference)` Return the `Script` identified by this reference `String`.
`void` `put(Script script)` Add a new `Script` to the registry and store its mapping.

### Methods inherited from class org.eclipse.ease.debugging.ScriptRegistry

`getResource, getScript`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ease.debugging.IScriptRegistry

`getResource, getScript`

### Constructor Detail

#### PythonScriptRegistry

    public PythonScriptRegistry()

### Method Detail

#### put

    public void put(Script script)

Description copied from interface: `IScriptRegistry`
Add a new `Script` to the registry and store its mapping.

Specified by:
  `put` in interface `IScriptRegistry`
Overrides:
  `put` in class `ScriptRegistry`
Parameters:
  `script` - Script to be stored in registry.

#### getScript

    public Script getScript(java.lang.String reference)

Description copied from interface: `IPythonScriptRegistry`
Return the `Script` identified by this reference `String`.

Specified by:
  `getScript` in interface `IPythonScriptRegistry`
Parameters:
  `reference` - Reference `String` to get `Script` for.
Returns:
  `Script` identified by reference `String` or `null` if no mapping found.

#### getReference

    public java.lang.String getReference(Script script)

Description copied from interface: `IPythonScriptRegistry`
Return the reference `String` for this `Script`.

Specified by:
  `getReference` in interface `IPythonScriptRegistry`
Parameters:
  `script` - `Script` to get reference `String` for.
Returns:
  Reference `String` for `Script` or `null` if no mapping found.